curl --request PATCH \
--url https://services.leadconnectorhq.com/invoices/template/{templateId}/payment-methods-configuration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"paymentMethods": {
"stripe": {
"enableBankDebitOnly": false
}
}
}
'{
"_id": "6578278e879ad2646715ba9c",
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "New Template",
"businessDetails": {
"name": "Alex",
"address": {
"addressLine1": "9931 Beechwood",
"city": "St. Houston",
"state": "TX",
"countryCode": "USA",
"postalCode": "559-6993"
},
"phoneNo": "+1-214-559-6993",
"website": "www.example.com"
},
"currency": "USD",
"items": [
{
"taxes": [],
"_id": "c6tZZU0rJBf30ZXx9Gli",
"productId": "c6tZZU0rJBf30ZXx9Gli",
"priceId": "c6tZZU0rJBf30ZXx9Gli",
"currency": "USD",
"name": "Macbook Pro",
"qty": 1,
"amount": 999
}
],
"total": 999,
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"discount": {
"type": "percentage",
"value": 0
},
"invoiceNumberPrefix": "INV-"
}API to update template late fees configuration by template id
curl --request PATCH \
--url https://services.leadconnectorhq.com/invoices/template/{templateId}/payment-methods-configuration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"paymentMethods": {
"stripe": {
"enableBankDebitOnly": false
}
}
}
'{
"_id": "6578278e879ad2646715ba9c",
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "New Template",
"businessDetails": {
"name": "Alex",
"address": {
"addressLine1": "9931 Beechwood",
"city": "St. Houston",
"state": "TX",
"countryCode": "USA",
"postalCode": "559-6993"
},
"phoneNo": "+1-214-559-6993",
"website": "www.example.com"
},
"currency": "USD",
"items": [
{
"taxes": [],
"_id": "c6tZZU0rJBf30ZXx9Gli",
"productId": "c6tZZU0rJBf30ZXx9Gli",
"priceId": "c6tZZU0rJBf30ZXx9Gli",
"currency": "USD",
"name": "Macbook Pro",
"qty": 1,
"amount": 999
}
],
"total": 999,
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"discount": {
"type": "percentage",
"value": 0
},
"invoiceNumberPrefix": "INV-"
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 Template Id
"6578278e879ad2646715ba9c"
Successful response
Template Id
"6578278e879ad2646715ba9c"
Location Id or Agency Id
"6578278e879ad2646715ba9c"
location Name of the Template
"New Template"
Show child attributes
{
"name": "Alex",
"address": {
"addressLine1": "9931 Beechwood",
"city": "St. Houston",
"state": "TX",
"countryCode": "USA",
"postalCode": "559-6993"
},
"phoneNo": "+1-214-559-6993",
"website": "www.example.com"
}Currency
"USD"
Invoice Items
[
{
"taxes": [],
"_id": "c6tZZU0rJBf30ZXx9Gli",
"productId": "c6tZZU0rJBf30ZXx9Gli",
"priceId": "c6tZZU0rJBf30ZXx9Gli",
"currency": "USD",
"name": "Macbook Pro",
"qty": 1,
"amount": 999
}
]Total Amount
999
created at
"2023-12-12T09:27:42.355Z"
updated at
"2023-12-12T09:27:42.355Z"
Show child attributes
{ "type": "percentage", "value": 0 }prefix for invoice number
"INV-"
Was this page helpful?